Package Gnumed :: Package business :: Module gmDrugDataSources :: Class cGelbeListeCSVFile |
[frames] | no frames]

# Class cGelbeListeCSVFile

source code

    object --+
             |
            cGelbeListeCSVFile

Iterator over a Gelbe Liste/MMI v8.2 CSV file.

Instance Methods
__init__(self, filename=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__iter__(self) | source code
next(self) | source code
close(self, truncate=True) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| version = `'Gelbe Liste/MMI v8.2 CSV file interface'`
| default_transfer_file_windows = `r"c:\rezept.txt"`
| default_encoding = `'cp1250'`
| csv_fieldnames = `['name', 'packungsgroesse', 'darreichungsform`...``
| boolean_fields = `['status_rezeptpflicht', 'status_fachinfo', '`...``
| has_unknown_fields = `property(_get_has_unknown_fields, lambda `...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, filename=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Class Variable Details

  ### csv_fieldnames Value:
      ['name', 'packungsgroesse', 'darreichungsform', 'packungstyp', 'festbe
      trag', 'avp', 'hersteller', 'rezepttext', 'pzn', 'status_vertrieb', 's
      tatus_rezeptpflicht', 'status_fachinfo', 'btm', 'atc', 'anzahl_packung
      en', 'zuzahlung_pro_packung', 'einheit', 'schedule_morgens', 'schedule
      _mittags', 'schedule_abends', 'schedule_nachts', 'status_dauermedikame
      nt', 'status_hausliste', 'status_negativliste', 'ik_nummer', 'status_r
      abattvertrag', 'wirkstoffe', 'wirkstoffmenge', 'wirkstoffeinheit', 'wi
      rkstoffmenge_bezug', 'wirkstoffmenge_bezugseinheit', 'status_import',
      ...

  ### boolean_fields Value:
      ['status_rezeptpflicht', 'status_fachinfo', 'btm', 'status_dauermedika
      ment', 'status_hausliste', 'status_negativliste', 'status_rabattvertra
      g', 'status_import', 'status_lifestyle', 'status_ausnahmeliste', 'apot
      hekenpflicht', 'status_billigere_packung', 'besonderes_arzneimittel',
      't_rezept_pflicht', 'erstattbares_medizinprodukt', 'hilfsmittel']

  ### has_unknown_fields Value:
      property(_get_has_unknown_fields, lambda x: x)